# std::filesystem::path::root_directory

From cppreference.com
< cpp‎ | filesystem‎ | path

path root_directory() const; |  | (since C++17)

Returns the root directory of the path. If the path does not include root name, returns path().

### Parameters

(none)

### Return value

The root directory of the path.

### Exceptions

(none)

### Example

Run this code

    #include <iostream>
    #include <filesystem>
    namespace fs = std::filesystem;

    int main()
    {
        fs::path p = fs::current_path();

        std::cout << "The current path " << p << " decomposes into:\n"
                  << "root name " << p.root_name() << '\n'
                  << "root directory " << p.root_directory() << '\n'
                  << "relative path " << p.relative_path() << '\n';
    }

Possible output:

    The current path "C:\Users\abcdef\Local Settings\temp" decomposes into:
    root name "C:"
    root directory "\"
    relative path "Users\abcdef\Local Settings\temp"

### See also

root_name | returns the root-name of the path, if present (public member function)
root_path | returns the root path of the path, if present (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/root_directory&oldid=84897"